
D4Science Infrastructure - Incident #13013

Upgrade the Messsages Portlet to gCube 4.13 

Dec 10, 2018 03:32 PM - Francesco Mangiacrapa

Status: Closed Start date: Dec 10, 2018

Priority: Normal Due date:  

Assignee: Francesco Mangiacrapa % Done: 100%

Category: Application Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Production   

Description

The Messages Portlet is not updated to gCube 4.13. We need to upgrade it.

The last build is available at 

http://eticsbuild2.research-infrastructures.eu:8080/BuildReport/bdownload/AllBuilds/org.gcube.4-13-0/BUILD_67/dist/org.gcube/org.g

cube.portlets-user.messages/2.1.0/sl5_x86_64_gcc412/org.gcube.portlets-user.messages-2.1.0-SNAPSHOT.tar.gz

Unzipping the above targ.gz and then the war, by checking the libs the storagehub dependencies are missing in the Messages

Portlet (The Workspace Explorer declares it as "provided" in the pom) so you consider a new build in 4.13.1 by including the

storagehub-client dependency in the portlet.

Related issues:

Related to D4Science Infrastructure - Upgrade #13039: Infra-gateways fourth u... Completed Dec 13, 2018 Dec 19, 2018

History

#1 - Dec 10, 2018 04:36 PM - Massimiliano Assante

- Assignee changed from Massimiliano Assante to Francesco Mangiacrapa

#2 - Dec 10, 2018 04:38 PM - Massimiliano Assante

Your analysts is correct can you release the fix on 4.13.1? Thank you

#3 - Dec 10, 2018 04:58 PM - Francesco Mangiacrapa

- Status changed from New to Closed

- % Done changed from 0 to 100

The fix will be released with gCube 4.13.1

#5 - Dec 13, 2018 02:47 PM - Massimiliano Assante

- Related to Upgrade #13039: Infra-gateways fourth update to gCube 4.13.0 added
